<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [scriptKill](./bitburner.ns.scriptkill.md)

## NS.scriptKill() method

Kill all scripts with a filename.

**Signature:**

```typescript
scriptKill(script: string, host?: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

script


</td><td>

string


</td><td>

Filename of script to kill. This is case-sensitive.


</td></tr>
<tr><td>

host


</td><td>

string


</td><td>

_(Optional)_ Hostname/IP of the target server. Optional. Defaults to current server if not provided.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if one or more scripts were successfully killed, and false if none were.

## Remarks

RAM cost: 1 GB

Kills all scripts with the specified filename on the target server specified by hostname, regardless of arguments.

